Get manual time entryGET
Description
Returns a single manual time entry.
Permissions
Request format
curl https://kanbanflow.com/api/v1/manual-time-entries/<MANUAL_TIME_ENTRY_ID>
Example request
curl https://kanbanflow.com/api/v1/manual-time-entries/EyS84FdLk
Example response
{
"_id": "EyS84FdLk",
"createdTimestamp": "2023-01-02T12:50:00Z",
"startTimestamp": "2023-01-02T08:30:00Z",
"endTimestamp": "2023-01-02T12:00:00Z",
"userId": "UHJ9JgtA",
"taskId": "T3s6UGyzY"
}Response properties
| Property | Type | Comment |
|---|---|---|
| _id | String | The ID of the manual time entry. |
| createdTimestamp | String | The UTC timestamp when the manual time entry was created, for example 2023-12-31T20:00:00Z. |
| startTimestamp | String | The UTC timestamp when the manual time entry started, for example 2023-12-31T09:00:00Z. |
| endTimestamp | String | The UTC timestamp when the manual time entry ended, for example 2023-12-31T17:00:00Z. |
| userId | String | The ID of the user that added the manual time entry. |
| taskId | String | The ID of the task that the manual time entry was created on. |
| comment | String | A comment to the time entry. Only included when set. |
| labelNames | Array | Labels for the time entry. Only included when there are any items. Example: ["Billable", "Project X"]. |